# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# seq_compress.h File Reference

`#include <libdirac_byteio/dirac_byte_stream.h>`
`#include <libdirac_common/common.h>`
`#include <libdirac_common/frame_buffer.h>`
`#include <libdirac_common/pic_io.h>`
`#include <libdirac_common/dirac_assertions.h>`
`#include <libdirac_encoder/quality_monitor.h>`
`#include <libdirac_encoder/frame_compress.h>`
`#include <libdirac_encoder/rate_control.h>`
`#include <fstream>`

Include dependency graph for seq_compress.h:

Go to the source code of this file.

## Namespaces

- namespace dirac

## Classes

- class dirac::SequenceCompressor
    Compresses a sequence of frames from a stream. More...

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.